Näytä kirjoitukset

Tässä osiossa voit tarkastella kaikkia tämän jäsenen viestejä. Huomaa, että näet viestit vain niiltä alueilta, joihin sinulla on pääsy.


Viestit - USakari

Sivuja: 1 2 [3] 4 5 ... 8
41
Uudessa läppärissä on Windows 10 ja asensin juuri sen rinnalle 17.10:n. Toistaiseksi näyttää ihan hyvältä, mutta ääni ei toimi ollenkaan, ei pavucontrolin kanssa eikä ilman sitä. Mistähän vika voisi löytyä?

alsamixerin mukaan Speaker on 100%. Card on HDA Intel PCH. Chip on Realtek ALC294.

 Mutta mitään ei siis kuulu esim. YouTubesta.

42
Asentaminen ja käyttöönotto / Mac OSX, GUID ja Linux
« : 28.10.17 - klo:19.54 »
Asensin muutama vuosi sitten Mac miniin OS X 10.6.8:n lisäksi Lubuntun. Dualboot toimi (sinnikkään säätämisen jälkeen) ihan hyvin, apuneuvona rEFIt.

Nyt otin koneen taas pienen tauon jälkeen käyttöön ja ajattelin päivittää käyttöjärjestelmät. Lubuntussa ei ollut ongelmaa, mutta Mac OS X:ssä on, ja paljon. Parin päivän ihmettelyn jälkeen olen tullut siihen tulokseen, että kovalevy pitänee panna kokonaan uusiksi, kun OS X:n seuraava versio, El Capitan, vaatii jotakin minulle toistaiseksi aivan outoa GUID-rakennetta.

Entäs sitten rEFIt? Sen päivitys on loppunut. Seuraaja on rEFInd - joka ei näytä yhtään helpommalta tapaukselta.

Viitsisikö kukaan neuvoa, mitä kannattaisi tehdä? Tai edes, mistä aloittaa? Levyn tyhjennyksestäkö? Mutta pitääkö senjälkeen saada rEFInd toimimaan? Vai pitääkö OS X asentaa ensin, ja sitten rEFInd? Milloin tulee Lubuntun vuoro? Tuleeko milloinkaan?

43
Pelit / Vs: DiRT Rally julkaistaan Linuxille 2.3
« : 26.08.17 - klo:16.17 »
Mikä prosessori koneessasi on, ja paljonko muistia? Huomaa pelin minimisuositus 8 GB.

Edistystä. Kokeilin DiRT Rallya läppärillä, ja kokemus oli parempi. Tietoa prosessorista:
Koodia: [Valitse]
:~$ sudo lshw -c cpu
  *-cpu                   
       description: CPU
       product: Intel(R) Core(TM) i7-4510U CPU @ 2.00GHz
       vendor: Intel Corp.
       physical id: 8
       bus info: cpu@0
       version: Intel(R) Core(TM) i7-4510U CPU @ 2.00GHz
       slot: SOCKET 0
       size: 2716MHz
       capacity: 3800MHz
       width: 64 bits
       clock: 100MHz
       capabilities: x86-64 fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 sdbg fma cx16 xtpr pdcm pcid sse4_1 sse4_2 movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm epb tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust bmi1 avx2 smep bmi2 erms invpcid xsaveopt dtherm ida arat pln pts cpufreq
       configuration: cores=2 enabledcores=2 threads=4
ja muistista:
Koodia: [Valitse]
:~$ free -h
              total        used        free      shared  buff/cache   available
Mem:           7,7G        675M        4,9G        123M        2,1G        6,6G
Swap:          7,9G         99M        7,8G

Huomattakoon, että Lubuntu on 16.04.3 LTS ja että näyttöä hoitaa GeForce 840M.

Ubuntu on siis vanhempi kuin Feral Interactiven minimi 16.10 ja näyttöpiiri alkeellisempi kuin Feral-minimi GeForce 650 Ti. Eikä tässä kaikki - ajuri ei ole Feral-minimi nvidia 3.70.28, vaan nouveau.

Hih.

Mutta muisti on se Feral-minimi 8Gt, ja tämä näyttää olevan kaikkein tärkein pointti. Koska peli nyt toimii - tai siis ainakin sain juuri yhden erikoiskokeen ajettua, ja ihan tuli Colin McRae Rally mieleen.

44
Pelit / Vs: DiRT Rally julkaistaan Linuxille 2.3
« : 25.08.17 - klo:13.26 »
Mikä prosessori koneessasi on, ja paljonko muistia? Huomaa pelin minimisuositus 8 GB.
Tässäpä dataa:
Koodia: [Valitse]
:~$ sudo lshw -c cpu
  *-cpu                     
       description: CPU
       product: Pentium(R) Dual-Core  CPU      E5300  @ 2.60GHz
       vendor: Intel Corp.
       physical id: 4
       bus info: cpu@0
       version: Pentium(R) Dual-Core CPU E5300
       slot: CPU
       size: 1200MHz
       capacity: 2600MHz
       width: 64 bits
       capabilities: x86-64 fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm xsave lahf_lm tpr_shadow vnmi flexpriority dtherm cpufreq
       configuration: cores=2 enabledcores=2 threads=2

Jatkuui:
Koodia: [Valitse]
:~$ free -h
              total        used        free      shared  buff/cache   available
Mem:           2,9G        1,1G        358M         86M        1,5G        1,5G
Swap:          8,8G          0B        8,8G

Näissäkö se vika siis on? Olen käyttänyt konetta kyllä jo monta vuotta, ja teho on riittänyt ihan mukavasti. Mutta pelejä en ole pelannut, kun minua kiinnostavat vain autopelit, tai siis ajosimulaattorit, ja niitä en oikein ole Linuxille nähnyt...

45
Pelit / Vs: DiRT Rally julkaistaan Linuxille 2.3
« : 25.08.17 - klo:11.04 »
Vaikuttaa siltä, että ajurin asennus ei ole onnitunut oikein ja käytät softapohjaista OpenGLää. Luultavasti olisi helpompaa asentaa ajurit jostain PPA-varastosta kuin Nvidian asennuspaketista.

Palasin nyt Lubuntun paketinhallinnan tarjoamaan nvidia-versioon 375.66, jonka siis pitäisi riittää Lepotilan mukaan (kiitos vihjeestä). Nyt nouveau menee pois päältä – ihan kiva. Näyttää siltä, että peli oikeastaan toimisi, mutta kun se toimii niin älyttömän hitaasti. Siis vaikkapa näppäintä pitää painaa sekunti ja sitten odottaa 2-3 sekuntia, ennenkuin ohjelma reagoi. OpenGL-asioita en oikein hallitse, mutta kyllä NVIDIA X Server Settings listaa kymmeniä GL- ja GLX-laajennuksia yms.

Sitä tässä olen ihmetellyt, että jos palaisi Ubuntuun 16.10, jota FeralInteractive hehkuttaa, niin miten käy DiRT Rally-asennuksen (noin 44Gt)?
Säilyisikö se?

46
Pelit / Vs: DiRT Rally julkaistaan Linuxille 2.3
« : 24.08.17 - klo:22.51 »
Minulla toimii Dirt Rally Ubuntun 17.04 -versiossa (kahdella eri koneella), vaikka käynnistettäessä ohjelma huomauttaa, ettei versio ole tuettu. (Toisessa koneessa nvidia GTX 960 ja toisessa AMD R9 380.)

Näyttökortti on nyt vaihdettu, uusi on tyyppiä GeForce GTX1050 Ti, mutta eipä tuosta näytä olevan apua. FeralInteractiven mukaan nvidia-ajurin pitäisi olla versio 370, mutta juuri tätä en löytänyt Lubuntun paketinhallinnasta. Uusin löytyvä versio on 375, mutta se ei auttanut asiaa,  No, sitten hain nvidialta version 384. Sen kanssa tuli iso ongelma jostain sellaisesta kuin nouveau, joka piti disabloida. Tämä onnistui pitkän säätämisen jälkeen, mutta ei DiRT Rally toimi vieläkään. Tai kyllä se pääsee - siis pääsee tuskallisen hitaasti - ikkunaan, jossa varsinaisen pelin pitäisi alkaa Enterin painalluksella. Mutta ei sillä Enterin painamisella ole mitään vaikutusta.

Pitäisiköhän NVIDIA X Server Settingsissä tehdä jotain erikoista? Ihmettelen, kun siellä lukee "GPU Utilization: 0%" ja "Video Engine Utilization 0%"...


47
Pelit / Vs: DiRT Rally julkaistaan Linuxille 2.3
« : 24.08.17 - klo:18.54 »
Jo selvisi tämä Steam key-asia. Ostin pelin osoitteesta www.feralinteractive.com  ja sikäläisen FAQ:n avulla ymmärsin lopulta, että kyseessä on koodi, joka tulee pelin mukana. Ilmainen Steam-sovellus, joka pitää ladata erikseen, pelin lisäksi, toimii jonkinlaisena portinvartijana. Koodin esittämällä pääsee pelaamaan.

Peli ei kyllä toiminut, mutta minulla onkin nyt Lubuntu 17.04 eikä Ubuntu 16.10, eikä näyttökorttikaan ole mikään niistä, joita kehutaan testatuiksi. Joku rallivideohan tuossa kyllä pyörii.

48
Pelit / Vs: DiRT Rally julkaistaan Linuxille 2.3
« : 23.08.17 - klo:17.05 »
https://support.humblebundle.com/hc/en-us/articles/204008710-How-To-Redeem-Steam-Keys

Kiitos, mutta... Juuri tätä nimenomaista sivuahan minä pähkäilin ennen kuin luovutin ja kirjoitin tänne. Putosin nimittäin kärryiltä jo ensimmäisen askeleen kohdalla:
Koodia: [Valitse]
1. Navigate to your download page, and click the Redeem on Steam button.
En ymmärrä, mitä download pagea tässä tarkoitetaan, enkä löydä siis myöskään nappia Redeem on Steam.

49
Pelit / Vs: DiRT Rally julkaistaan Linuxille 2.3
« : 23.08.17 - klo:12.00 »
Minuakin kiinnostaa DiRT Rally. Mutta mitähän tarkoittaa
Lainaus
you will receive either a Steam key or a download link after payment is complete
Siis tämä Steam key... Mikä se oikein on? Tai siis senverran luulen ymmärtäneeni, että se on joku moninumeroinen/kirjaiminen koodi - mutta milloin ja miten sitä käytetään?

Kiitos kaikista vihjeistä!


50
Sitkeä googlaus vei sivulle http://www.bchemnet.com/suldr/ Sekään ei kuitenkaan heti auttanut, koska suositeltu tapa, lisätä uusi repository ja hakea sieltä sitten apt-get:llä ajuripaketti, ei auttanut. Niinpä sitten asensin ajurin http://www.bchemnet.com/suldr/driver/UnifiedLinuxDriver-4.01.17.tar.gz ihan käsipelillä – ja viimein toimi tulostus.


51
Varmaan android-studio sitten:

Koodia: [Valitse]
umake android android-studio

No kun ei. Vain NDK kelpaa, eli umake android android-studio:sta seuraa
Koodia: [Valitse]
usage: umake android [-h] {android-ndk} ...
umake android: error: argument framework: invalid choice: 'android-studio' (choose from 'android-ndk')

52

Mistä ja miten asensit Samsungin ajurin?

Tuota noin... Itse asiassa en älynnyt, että Samsung-ajuri tarvitaan. Mutta löysinpä nyt osoitteesta http://www.samsungdrivers.net/samsung-ml-2165w-driver/ tiedoston uld_v1.00.36_00.91.tar.gz ja sieltä  install.sh:n. Ajoin sen, mutta ei se auttanut asiaa.

Virheilmoituksia voi etsiä Cupsin virhelokista, joka sijaitsee tiedostossa /var/log/cups/error_log

Avaa pääte ja komenna:
Koodia: [Valitse]
tail -n 100 -f /var/log/cups/error_log
Yritä sitten tulostaa jotain. Tuleeko lokiin uusia rivejä?

Joo, tulee uusia rivejä. Senverran kuin niistä ymmärrän, kaikki on kunnossa ja teksti lähetetty printterille. Mutta ei vain liiku paperi.

53
Asensin 14.04.4 LTS:n (32-bit) rinnalle otsikossa mainitun uuden version, mutta en ole tyytyväinen, kun USB-kirjoitin temppuilee. En löydä mistään mitään virheilmoitusta, ja tulostusta yritettäessä Samsung ML2165W:n valo vilkkuu ihan entiseen tyyliin. Paperi ei kuitenkaan lähde liikkeelle, eli mitään ei tulostu.

Kokeeksi siirryin vanhalle 32-bittiselle puolelle, ja johan rupesi Lyyli kirjoittamaan.

Mikähän tässä nyt mättää?

54
Vaihtoehtoisesti koko Android Studion asennus onnistuu Ubuntu Makella:

Koodia: [Valitse]
sudo apt install ubuntu-make
Koodia: [Valitse]
umake android

Kiitos vihjeistä, mutta umake android näyttää vain tuottavan ilmoituksen
Koodia: [Valitse]
ERROR: A default framework for category Android was requested where there is none
usage: umake android [-h] {android-ndk} ...

OK; tästä viisastuneena kirjoitankin umake android android-ndk, ja tästä näyttäisi jotakin syntyvänkin - mutta ei siis Studio, vaan NDK.

55
Nyt on sitten asennettu 64-bittinen Lubuntu 16.04.2 LTS. Mutta edelleen on pallo hukassa. Komentoon
Koodia: [Valitse]
javac tulee vastaus
Lainaus
The program 'javac' can be found in the following packages:
 * default-jdk
 * ecj
 * gcj-5-jdk
 * openjdk-8-jdk-headless
 * gcj-4.8-jdk
 * gcj-4.9-jdk
 * openjdk-9-jdk-headless
Try: sudo apt install <selected package>
Mikähän paketti olisi nyt se oikea?

Jatkokysymys: Android Studio näyttää kyllä aivan pelottavan massiiviselta. Olisiko Synaptic-paketinhallinnasta löytyvä android-sdk riittävä jonkun yksinkertaisen "hei maailma"n tekemiseen?

56
Päivitä Ubuntusi versioon 16.04 tai asenna OpenJDK 8 epävirallisesta ohjelmalähteestä: http://ubuntuhandbook.org/index.php/2015/01/install-openjdk-8-ubuntu-14-04-12-04-lts/
Kiitos! Epävirallinen ohjelmalähde auttoikin eteenpäin. Ei kuitenkaan ihan loppuun asti. Nyt nimittäin Android Studio ilmoittaa
Lainaus
Error:Process 'command '/opt/android-studio/jre/bin/java'' finished with non-zero exit value 2
Tämä on vähän hassua, koska kai tässä on tarkoitus ajaa ohjelma java, joka on kuitenkin oikeastaan
Lainaus
/usr/lib/jvm/java-8-openjdk-i386/jre/bin/java
joka toimii ihan OK.

Virhe mahdollisesti tulee siitä, että /opt/android-studio/jre/bin/java näyttää olevan 64-bittinen, ja
/usr/lib/jvm/java-8-openjdk-i386/jre/bin/java puolestaan 32-bittinen. Nyt pitäisi keksiä, miten Android Studion saisi käyttämään jälkimmäistä. Tai miten sen saisi uninstalloitua.

57
Ajattelin uteliaisuudesta kokeilla puhelimen Android-ohjelmointia, mutta Android Studio ei suostu toimimaan:
Lainaus
Unsupported Java Version: Cannot start under Java 1.7.0_121-b00: Java 1.8 or later is required
Mutta Synaptic-paketinhallinnan mukaan tämä 1.7.0 on uusin saatavilla oleva versio. Mikähän nyt neuvoksi?

58
Onko PulseAudio nyt käytössä vai ei?

Suosittelisin sitä juuri tämän laitevalintaongelman ratkaisemiseen. Muuten on aikalailla sama, käyttääkö vaikka pelkkää Alsaa, mutta sen kanssa oletuslaitteen valinta menee vaikeaksi.
On PulseAudio käytössä, mutta sitä piti hiukan opetella, koska pavucontrol ei alunperin näyttänyt muita laitteita kuin kuulokkeet ja tietokoneen (Mac mini) kaiuttimet. Ei siis HDMI:tä, jota oli tarkoitus käyttää audion siirtoon tv:lle.

No, sitten löytyi pacmd:
Koodia: [Valitse]
pacmd list-sinks
1 sink(s) available.
  * index: 0
name: <alsa_output.pci-0000_00_08.0.hdmi-stereo-extra2>
driver: <module-alsa-card.c>
..............................................................................
alsa.card = "0"
alsa.card_name = "HDA NVidia"
alsa.long_card_name = "HDA NVidia at 0x93580000 irq 21"
alsa.driver_name = "snd_hda_intel"
device.bus_path = "pci-0000:00:08.0"
sysfs.path = "/devices/pci0000:00/0000:00:08.0/sound/card0"
device.bus = "pci"
device.vendor.id = "10de"
device.vendor.name = "NVIDIA Corporation"
device.product.id = "0d94"
device.product.name = "MCP89 High Definition Audio"
device.form_factor = "internal"
device.string = "hdmi:0,2"
device.buffering.buffer_size = "65536"
device.buffering.fragment_size = "32768"
device.access_mode = "mmap+timer"
device.profile.name = "hdmi-stereo-extra2"
device.profile.description = "Digital Stereo (HDMI 3)"
device.description = "Built-in Audio Digital Stereo (HDMI 3)"
alsa.mixer_name = "Cirrus Logic CS4206"
alsa.components = "HDA:10134206,106b0300,00100301 HDA:10de000c,10de0101,00100200"
module-udev-detect.discovered = "1"
device.icon_name = "audio-card-pci"
ports:
hdmi-output-2: HDMI / DisplayPort 3 (priority 5700, latency offset 0 usec, available: yes)
properties:
device.icon_name = "video-display"
device.product.name = "SAMSUNG
     "
active port: <hdmi-output-2>

Lyhensin tätä vähän, kun se on niin pitkä ja monimutkainen. Siitä kuitenkin näkyy nyt, että erilaisilla pacmd-komennoilla sai "HDMI / DisplayPort 3":n aktivoitua, jolloin se näkyy myös pavucontrol-dialogissa.

"Erilaisilla komennoilla" tarkoittaa sitä, etten ole ollenkaan varma, mikä nimeomainen niistä tuotti viimein tuloksen. Nyt kuitenkin ääni kulkee HDMI:n kautta, mikä oli tarkoitus. Ja asetus säilyy jopa istunnosta toiseen.


59
Kevyin on speaker-test jolla voit kokeilla aplay -L
listaamia laitteita. speaker-test yllättävän monipuolinen. Sillä virittää
vaikka kitaran.
Kyllä siis
Koodia: [Valitse]
speaker-test -c 2 -r 48000 -D hw:0,8 tuottaa ihan semmoista vasen-oikea-kohinaa kuin sen pitäisikin, ja ääni tulee ulos tv:stä ihan niinkuin pitääkin. Mutta millään muulla ohjelmalla tämä ei ole onnistunut.

60
Näppäimistöasettelu valitaan työpöytäjärjestelmän asetuksilla, eli käytännössä yläpaneelissa olevan kuvakkeen kautta (tai näppäinyhdistelmällä VasenWindowsNäppäin + välilyönti).

Kokeile vaihtaa edestakaisin Fi->En->Fi, jos paneelikuvakkeessa lukee Fi valmiiksi. Jos taas kuvaketta ei ole paneelissa, varmista että Järjestelmäasetukset->Tekstisyöte -asetuksissa on Suomalainen asettelu käytettävänä syötelähteenä.
Jo helpotti, kiitos. Se "yläpaneeli" kun oli minulla alapaneeli (Lubuntu), ja näyttöongelman takia piilossa. Pitkällisellä IBus-säädöllä sain entiset näppäimistöt (suomi/venäjä/korea) taas käyttöön.
Jep, overscanista on kyse. TV:n manuaalista selvinnee, miten inputin saa PC-tilaan. Joissain malleissa se toimii vain tietyn HDMI-sisääntulon kautta. Lisäksi kaikki kuvaprosessoinnit ja etenkin terävöitys on paras kytkeä pois päältä tai nollille/keskelle, ellei TV:ssä ole erikseen valittavissa tilaa, jossa prosessointia ei tehdä.
Nyt löysin Nvidia-sovelluksesta talletusmahdollisuuden, ja sain 1650x1080-resoluution pysyväksi. En viitsi televisiota puukottaa, kun se on yleensä ihan pelkässä tv-käytössä. Jotenkin vain kuva 1920x1080 -tilassa tuntui terävämmältä...
Mitä ulostulolaitteita Ubuntun ääniasetuksissa näkyy? Onko HDMI-ulostulo valittuna siellä?
En oikeastaan tiedä, missä tai mitä ovat Ubuntun "ääniasetukset". Ainoa, missä näen jälkiä HDMI:stä, on ylläesitetty aplay -l-tulostus, ja siitä ei ollut mitään hyötyä.

Sivuja: 1 2 [3] 4 5 ... 8